Get Transfer by Transaction Hash
get
/walletservice/v1/wallets/{walletAddress}/transfers/by-transaction-hash/{transactionHash}
Retrieve a transfer by wallet ID and blockchain transaction hash.
Request
Path Parameters
-
transactionHash(required): string
Blockchain transaction hash.Example:
0x111122223333444455556666777788889999aaaabbbbccccddddeeeeffff0000 -
walletAddress(required): string
Wallet address in hex format (0x + 40 hex chars).Example:
0xFE3B557E8Fb62b89F4916B721be55cEb828dBd73
There's no request body for this operation.
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Transfer retrieved successfully.
Root Schema : TransferRecord
Type:
Show Source
object-
amount: string
Example:
1 -
assetId: string
Example:
2 -
contractAddress: string
Example:
0x9a626f29784501056687dc267966dae6414cc91f -
externalId: string
Example:
1 -
kind: string
Example:
erc20 -
memo: string
Example:
{{$randomCatchPhrase}} -
partitionId: string
Example:
1 -
priority: string
Example:
Standard -
status: string
Example:
submitted -
submittedAt: string
(date-time)
-
to: string
Example:
0xFE3B557E8Fb62b89F4916B721be55cEb828dBd73 -
transactionHash: string
Example:
0x111122223333444455556666777788889999aaaabbbbccccddddeeeeffff0000 -
transactionId: string
Example:
3 -
walletId: string
(uuid)
Example:
d8efa760-3353-45f6-a7c3-1cfd18af782c
404 Response
Requested resource was not found.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.